Bug 207972 - webdav file system w/ https and authentication doesn't work
webdav file system w/ https and authentication doesn't work
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Depends On:
  Show dependency treegraph
Reported: 2006-09-25 12:33 EDT by Garrett Mitchener
Modified: 2015-03-03 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:59:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Garrett Mitchener 2006-09-25 12:33:50 EDT
Description of problem:

I'm trying to access a webdav directory with https, and it requires me to enter
a user name and password.  When I try to access it through nautilus, I get
endless dialog boxes asking for my password, even though I click the option to
save it for the session or to save it in the keyring.

Version-Release number of selected component (if applicable):

nautilus-2.16.0-4.fc6, but I saw the same problem on fc5 i386.

How reproducible:

every time

Steps to Reproduce:

In gnome, go to Places, Connect to server

choose Secure WebDAV (HTTPS)

Enter the server, port 443, folder, and user name
Actual results:

It never shows a window with the directory, but keeps popping up lots and lots
of modal dialogs asking for the password.

Additional info:

I can access this particular webdav directory with no problem using konqueror.
Comment 1 Matthew Miller 2007-04-06 12:36:47 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Garrett Mitchener 2007-04-06 13:28:30 EDT
I've checked this with FC6 and updated the version field on this form.

I can give you more information about the trouble I'm having.

The package is nautilus-2.16.2-7.fc6.

I have to access several WebDAV folders, as in 


The way our system is set up, my password only works for the specific folders
corresponding to my courses.  In particular, I don't have access to the /dav/
folder, just the subfolders /dav/12345/ and /dav/12346/ for example.

When I try to connect to /dav/12345/ using nautilus, the icon appears on the
desktop, and when I click I do eventually get a window showing the files in that
folder.  But, for example, if I click to open a subfolder, say
/dav/12345/stuff/, I get lots of extra dialog boxes asking for a password for
/Admin/ and /ByPassword/ and various other folders that I don't have access to.
Comment 3 Matthew Miller 2007-04-06 13:29:42 EDT
Thanks! Clearing needinfo bit.
Comment 4 Matthew Miller 2007-04-06 13:31:32 EDT
Okay, *really* clearing needinfo bit.
Comment 5 Bug Zapper 2008-04-03 23:50:29 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Garrett Mitchener 2008-04-04 15:21:33 EDT
This still doesn't work on my up-to-date Fedora 8 workstation.  It's actually
gotten worse.

Now when I try to connect to one of our webdav folders, it asks for a password
and even if I select "remember forever", it immediately asks for the password
again and again and again and again...  So I get an icon on the desktop, but if
I try to open it, it just keeps asking for the password.

I have no trouble mounting this particular webdav folder using fuse.
Comment 7 Bug Zapper 2008-11-26 02:01:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-01-09 01:59:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.